Newer Version Available

This content describes an older version of this product. View Latest

Create Records Using Quick Actions

Creates a record via a quick action. This resource is available in REST API version 28.0 and later.

Add all required fields to an object before you create a quick action for that object. If you add a required field after creating a quick action, the field doesn’t appear in the quick action’s describe results. Then, when the quick action runs, the field isn’t available and an error occurs for the missing field. If you don’t want the required field to appear in the quick action’s layout, set a default value for the field.

When working with actions, also refer to sObject Quick Actions.

Syntax

URI
/services/data/vXX.X/quickActions/
Formats
JSON, XML
HTTP Method
POST
Authentication
Authorization: Bearer token
Parameters
None required

Example

Example Request
1curl -X POST https://MyDomainName.my.salesforce.com/services/data/v60.0/quickActions/CreateContact -H "Authorization: Bearer token" -H "Content-Type: application/json" -d @exampleRequestBody.json
Example Request Body
1{
2
3   "record" : { "LastName" : "Smith" }
4
5}